{
  "name": "dfuapp",
  "version": "0.0.1",
  "private": true,
  "scripts": {
    "android": "react-native run-android",
    "clean-a": "cd android && gradlew clean",
    "ios": "react-native run-ios",
    "lint": "eslint .",
    "start": "react-native start",
    "test": "jest",
    "build-a": "set NODE_OPTIONS=--openssl-legacy-provider && cd android&&gradlew assembleRelease"
  },
  "dependencies": {
    "@react-native-async-storage/async-storage": "^2.2.0",
    "@react-native/codegen": "0.81.4",
    "@react-native/new-app-screen": "0.81.4",
    "@react-navigation/native": "^7.1.17",
    "@react-navigation/native-stack": "^7.3.26",
    "@systemic-games/react-native-bluetooth-le": "^1.3.0",
    "@systemic-games/react-native-nordic-nrf5-dfu": "^1.3.0",
    "@types/lodash": "^4.17.21",
    "base-64": "^1.0.0",
    "i18next": "^25.7.3",
    "react": "19.1.0",
    "react-i18next": "16.5.0",
    "react-native": "0.81.4",
    "react-native-device-info": "^15.0.1",
    "react-native-fs": "^2.20.0",
    "react-native-safe-area-context": "^5.6.1",
    "react-native-safearea-height": "^1.0.8",
    "react-native-screens": "^4.16.0",
    "react-native-toast-message": "^2.3.3",
    "react-native-vector-icons": "^10.3.0"
  },
  "devDependencies": {
    "@babel/core": "^7.25.2",
    "@babel/preset-env": "^7.25.3",
    "@babel/runtime": "^7.25.0",
    "@react-native-community/cli": "15.0.0",
    "@react-native-community/cli-platform-android": "15.0.0",
    "@react-native-community/cli-platform-ios": "15.0.0",
    "@react-native/babel-preset": "0.81.4",
    "@react-native/eslint-config": "0.81.4",
    "@react-native/metro-config": "0.81.4",
    "@react-native/typescript-config": "0.81.4",
    "@types/base-64": "^1.0.2",
    "@types/jest": "^29.5.13",
    "@types/react": "^19.1.0",
    "@types/react-test-renderer": "^19.1.0",
    "eslint": "^8.19.0",
    "jest": "^29.6.3",
    "prettier": "2.8.8",
    "react-test-renderer": "19.1.0",
    "typescript": "^5.8.3"
  },
  "engines": {
    "node": ">=20"
  }
}
